## ros-melodic-roscpp 1.14.13

=== debian/changelog ===
ros-melodic-roscpp (1.14.13-1bionic) bionic; urgency=high

  * Use recursive mutex to fix dead lock (#2209 <https://github.com/ros/ros_comm/issues/2209>)
  * Contributors: Chen Lihui, Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 25 Jan 2022 08:00:00 -0000

ros-melodic-roscpp (1.14.12-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 21 Sep 2021 07:00:00 -0000

ros-melodic-roscpp (1.14.11-1bionic) bionic; urgency=high

  * Fix for deadlock issue 1980 (#2121 <https://github.com/ros/ros_comm/issues/2121>)
  * Fix getNumPublishers() to only count fully connected (#2107 <https://github.com/ros/ros_comm/issues/2107>)
  * Replace message assertion with logging in order to have release modes to fail in compilation when msg type mismatches occur (#2096 <https://github.com/ros/ros_comm/issues/2096>)
  * Contributors: C. Andy Martin, Ivor Wanders, Tahsincan Köse

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-melodic-roscpp (1.14.10-1bionic) bionic; urgency=high

  * Set call_finished_ with true for each call inside callFinished (#2074 <https://github.com/ros/ros_comm/issues/2074>)
  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Cached parameter should be unsubscribed (#2068 <https://github.com/ros/ros_comm/issues/2068>)
  * Fix spelling (#2066 <https://github.com/ros/ros_comm/issues/2066>)
  * Fix Lost Wake Bug in ROSOutAppender (#2033 <https://github.com/ros/ros_comm/issues/2033>)
  * Contributors: Adel Fakih, Chen Lihui, Jacob Perron, Shane Loretz, tomoya

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 16 Oct 2020 07:00:00 -0000

ros-melodic-roscpp (1.14.9-1bionic) bionic; urgency=high

  * use fully qualified ceil() in condition_variable.h (#2025 <https://github.com/ros/ros_comm/issues/2025>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Aug 2020 07:00:00 -0000

ros-melodic-roscpp (1.14.8-1bionic) bionic; urgency=high

  * remove 'using namespace' from condition_variable.h (#2020 <https://github.com/ros/ros_comm/issues/2020>)
  * support boost 1.66 (#2016 <https://github.com/ros/ros_comm/issues/2016>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Aug 2020 07:00:00 -0000

ros-melodic-roscpp (1.14.7-1bionic) bionic; urgency=high

  * fix subscription busy wait melodic (#1684 <https://github.com/ros/ros_comm/issues/1684>, #2014 <https://github.com/ros/ros_comm/issues/2014>)
  * use an internal implementation of boost::condition_variable with monotonic clock (#1932 <https://github.com/ros/ros_comm/issues/1932>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 31 Jul 2020 07:00:00 -0000

ros-melodic-roscpp (1.14.6-1bionic) bionic; urgency=high

  * fix a bug that using a destroyed connection object (#1950 <https://github.com/ros/ros_comm/issues/1950>)
  * remove extra n in ROS_DEBUG (#1925 <https://github.com/ros/ros_comm/issues/1925>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 29 May 2020 07:00:00 -0000

ros-melodic-roscpp (1.14.5-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 19 Mar 2020 07:00:00 -0000

ros-melodic-roscpp (1.14.4-1bionic) bionic; urgency=high

  * add default ROS_MASTER_URI (#1666 <https://github.com/ros/ros_comm/issues/1666>)
  * add default assignment operator for various classes (#1888 <https://github.com/ros/ros_comm/issues/1888>)
  * bump CMake minimum version to avoid CMP0048 warning (#1869 <https://github.com/ros/ros_comm/issues/1869>)
  * do not display error message if poll yields EINTR (#1868 <https://github.com/ros/ros_comm/issues/1868>)
  * [windows] portable duration cast (#1882 <https://github.com/ros/ros_comm/issues/1882>)
  * drop custom implementation of boost::condition_variable to fix busy-wait spinning (#1878 <https://github.com/ros/ros_comm/issues/1878>)
  * disable rosout via ROSCPP_NO_ROSOUT environment variable (#1858 <https://github.com/ros/ros_comm/issues/1858>)
  * [windows] conditionally guard sys/socket.h (#1876 <https://github.com/ros/ros_comm/issues/1876>)
  * explicit include of socket.h to support FreeBSD (#1864 <https://github.com/ros/ros_comm/issues/1864>)
  * remove DEBUG statements from getImpl (#1823 <https://github.com/ros/ros_comm/issues/1823>)
  * use c++11 std::snprintf (#1820 <https://github.com/ros/ros_comm/issues/1820>)
  * TransportTCP: Allow socket() to return 0 (#1707 <https://github.com/ros/ros_comm/issues/1707>)
  * fix dynamic windowing for Topic Statistics (#1695 <https://github.com/ros/ros_comm/issues/1695>)
  * service_publication: removed int-bool-comparison (#1710 <https://github.com/ros/ros_comm/issues/1710>)
  * add Timer::isValid() const (#1779 <https://github.com/ros/ros_comm/issues/1779>)
  * add possibility to pass rospy.Duration as timeout to wait_for_service and wait_for_message (#1703 <https://github.com/ros/ros_comm/issues/1703>)
  * fix segfault in TransportPublisherLink (#1714 <https://github.com/ros/ros_comm/issues/1714>)
  * TransportTCP: enable poll event POLLRDHUP to detect dead connections properly (#1704 <https://github.com/ros/ros_comm/issues/1704>)
  * transportUDP: zero-initialize sockaddr_in object (#1740 <https://github.com/ros/ros_comm/issues/1740>)
  * unregisterService returns result of execute("unregisterService") (#1751 <https://github.com/ros/ros_comm/issues/1751>)
  * use safe string check (#1771 <https://github.com/ros/ros_comm/issues/1771>)
  * fix memory leak of global variable (#1503 <https://github.com/ros/ros_comm/issues/1503>)
  * fix exception boost::lock_error during shutdown (#1656 <https://github.com/ros/ros_comm/issues/1656>)
  * avoid deadlock in TopicManager (#1645 <https://github.com/ros/ros_comm/issues/1645>)
  * use WallTime/WallDuration for waiting for service (#1638 <https://github.com/ros/ros_comm/issues/1638>)
  * add missing include path (for bazel workspaces) (#1636 <https://github.com/ros/ros_comm/issues/1636>)

