=== debian/control ===
Source: ros-melodic-roscpp
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), pkg-config, ros-melodic-catkin (>= 0.5.78), ros-melodic-cpp-common (>= 0.3.17), ros-melodic-message-generation, ros-melodic-rosconsole, ros-melodic-roscpp-serialization, ros-melodic-roscpp-traits (>= 0.3.17), ros-melodic-rosgraph-msgs (>= 1.10.3), ros-melodic-roslang, ros-melodic-rostime (>= 0.6.4), ros-melodic-std-msgs, ros-melodic-xmlrpcpp
Homepage: http://ros.org/wiki/roscpp
Standards-Version: 3.9.2

Package: ros-melodic-roscpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-cpp-common (>= 0.3.17), ros-melodic-message-runtime, ros-melodic-rosconsole, ros-melodic-roscpp-serialization, ros-melodic-roscpp-traits (>= 0.3.17), ros-melodic-rosgraph-msgs (>= 1.10.3), ros-melodic-rostime (>= 0.6.4), ros-melodic-std-msgs, ros-melodic-xmlrpcpp
Description: roscpp is a C++ implementation of ROS.
 It provides a client library that enables C++ programmers to quickly interface with ROS Topics, Services, and Parameters. roscpp is the most widely used ROS client library and is designed to be the high-performance library for ROS.
